package pps.core.system.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.system.entity.CurrentSysUserView;
import pps.core.system.entity.SysUserTradeView;
import pps.core.system.entity.SysUserView;

import java.util.List;

@Repository(value = "pps.core.system.mapper.SysUserViewMapper")
public interface SysUserViewMapper {

    SysUserView selectOne(SysUserView record);

    List<SysUserView> selectList(SysUserView record);

    List<SysUserView> selectSysUserListByOuId(SysUserView record);

    List<SysUserView> selectSysUserListByNoOuId(SysUserView record);

    List<SysUserView> getSysUserListByOuId(SysUserView record);

    List<SysUserView> getSysUserListByOuIds(SysUserView record);

    List<SysUserTradeView> selectUserByTrade(SysUserView record);

    CurrentSysUserView getSysUserAndOuByUserId(@Param("userId") String userId);
}
