package pps.core.base.module;

import cn.hutool.core.util.ObjectUtil;
import pps.core.common.utils.ManifestComponentInfoHelper;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.XModule;

@XText("运维服务模块")
public class PpsCoreBaseModule extends XModule {
    protected PpsCoreBaseModule() {
        super(1009);
    }

    @Override
    protected void onStarted(XContext context) {
        if (ObjectUtil.isNotNull(this.getClass()) && ObjectUtil.isNotNull(this.getClass().getClassLoader())) {
            ManifestComponentInfoHelper.init(this.getClass().getClassLoader());
        }
    }
}
