package pps.core.base.service.data.base_energy_storage_device;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

/**
 * 储能设备
 *
 * @author ZWT
 * @date 2023/09/25
 */
@Data
public class QueryBaseEnergyStorageDeviceInput extends XPageInput {

    @XText("组织机构ID")
    @NotBlank(message = "缺少组织机构ID")
    private String ouId;

    @XText("组织机构name")
    private String ouName;

    @XText("设备名称")
    private String deviceName;

    @XText("线路ID")
    private String lineId;
}
